#include <stdio.h>
#include <stdlib.h>

int Freq;
double PT,PP,TP;
double MinNotas, MFinal;

int main(int argc, char *argv[])
{
  printf("\n");
  printf("Media Teoria: ");
  scanf ("%lf",&PT);
  printf("Media Pratica: ");
  scanf ("%lf",&PP);
  printf("Media Trabalhos: ");
  scanf ("%lf",&TP);
  printf("Frequencia (0-100): ");
  scanf ("%d",&Freq);
  
  if (Freq < 70)
      printf("\nREPROVADO FREQ.!\n");
  else 
  {

     // Precisa de pelos menos 5.0 em cada avaliacao
     // Avaliacoes: PT, PP, TP
     // Media Simples entre as 3 notas: ~33% cada avaliacao

     if ((PT >=5.0) && (PP >= 5.0) && (TP >= 5.0))
          MFinal = 0.34*PT + 0.33*PP + 0.33*TP;
     else
     {
          if ((PT < PP) && (PT < TP))
              MinNotas = PT;
          else 
              if (PP < TP)
                  MinNotas = PP;
              else 
                  MinNotas = TP;

          MFinal = MinNotas;
     } 
     /* Fim calculo da MFinal */
   
     if (MFinal >= 5.0)
        printf("\nAPROVADO COM MF=%.2lf !\n",MFinal);
     else 
     {
        if (MFinal >= 3.0)
           printf("\nVAI PARA REC COM MF=%.2lf !\n",MFinal);
        else
           printf("\nREPROVADO COM MF=%.2lf !\n",MFinal);
     }
     /* Fim da mensagem Aprovado/Reprovado/Rec */
 
  }  
  /* Fim else da Freq */
  
  printf("\n");
  
  system("PAUSE");	
  return 0;

} 

/* Fim do programa */

